| Face Engine SDK 5.2.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::IHumanDetector Struct Referenceabstract
Face detector.

human body detector interface. More...

`#include <IHumanDetector.h>`

Inheritance diagram for fsdk::IHumanDetector:

## Public Member Functions
virtual ResultValue< FSDKError, Ref< IHumanDetectionBatch > > | detect (Span< const Image > images, Span< const Rect > rects, uint32_t detectionPerImageNum, HumanDetectionType type=HDT_BOX) const noexcept=0
virtual ResultValue< FSDKError, Human > | redetectOne (const Image &image, const Detection &detection, HumanDetectionType type=HDT_BOX) const noexcept=0
virtual Result< FSDKError > | validate (Span< const Image > images, Span< const Rect > rects, uint32_t detectionPerImageNum, Span< Result< FSDKError >> outErrors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

human body detector interface.

## Member Function Documentation

virtual Result<FSDKError> fsdk::IHumanDetector::validate | ( | Span< const Image > | images,
|  | Span< const Rect > | rects,
|  | uint32_t | detectionPerImageNum,
|  | Span< Result< FSDKError >> | outErrors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | images | span of input images.
  [in] | rects | span of rect coords of corresponding source images.
  | detectionPerImageNum | max number of detections per input image.
  [out] | errors | output span of errors for each image.

Returns
  Error code;

See Also
  FSDKError for details.

Note
  all spans should be based on user owned continuous collections.

The documentation for this struct was generated from the following file:

- include/fsdk/IHumanDetector.h